# @(#)conf/os/uts1.2	1.3 02 Dec 1990 06:26:40
#
# uts1 - define the characteristics of Amdahl UTS/580 release 1.1 and 1.2

# OSNAMES - Names defining this operating system
OSNAMES=UNIX_SYS5_2:UNIX_SYS5:UNIX_UTS_1:UNIX_UTS:UNIX

# LOCKING_PROTOCOL - macros for efficient file locking
LOCKING_PROTOCOL="\
#include <unistd.h>
#define LOCK_REQUIRES_WRITE
#define lock_fd(fd)		(lockf((fd), F_TLOCK, 0L) < 0? FAIL: SUCCEED)
#define lock_fd_wait(fd)	(lockf((fd), F_LOCK, 0L) < 0? FAIL: SUCCEED)
#define unlock_fd(fd)		((void) lockf((fd), F_ULOCK, 0L))
#define unlock_fd_wait(fd)	((void) lockf((fd), F_ULOCK, 0L))
#define USE_FCNTL_RD_LOCK
#define lock_fd_rd_wait(fd)	(fcntl_rd_lock(fd))
extern int fcntl_rd_lock();
"

# MAILBOX_DIR - in which directory are user mailbox files
MAILBOX_DIR=/usr/mail

# CONSOLE - name of the console device file
CONSOLE=/dev/console

# DECLARE_STRINGS - declare string routines, using macros as needed
DECLARE_STRINGS="\
#include <string.h>
#define bzero(b,n)	(memset((b),'\0',(n)))
#define bcopy(b1,b2,n)	(memcpy((b2),(b1),(n)))
#define bcmp(b1,b2,n)	(memcmp((b1),(b2),(n)))
#define index	strchr
#define rindex	strrchr
"

# SECURE_PATH - directories containing system-supplied user programs
SECURE_PATH=/bin:/usr/bin:/usr/amdahl/bin

# OSLIBS - name any object libraries containing routines we will need
OSLIBS="-ldbm -la -lPW"


# DRIVER_CONFIGURATION - configuration file describing smail drivers
DRIVER_CONFIGURATION=unix-generic

# RANLIB - how do we organize an existing object archive library
RANLIB=:

# CHOWN - command to use for accessing the chown program
CHOWN=chown

# HAVE - what features should be used with this operating system
HAVE=SYSEXITS:DBM:BSTRING:SYS5_STRLIB:GETOPT:UNAME:VFPRINTF

# UUCP_SYSTEM_FILE - path to UUCP file containing remote systems
UUCP_SYSTEM_FILE=/usr/lib/uucp/L.sys
